package com.ssj.service.kmt.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import com.ssj.bean.kmt.kmt.domain.KmtCourse;

/**
 * @author  ZhangCaibao
 * @version 2018年9月9日 上午9:53:15 
 * 类说明 
 */
public class QuestionReview implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
   private  int isexist;
   private String courseKonwId;
   private Map<String, List<Map<String, Object>>> previousLesson;
   private List<Object> wrongDetailName ;
   private List<Map<String,Object>> questionWrong ;
   private KmtCourse course;
   private List<Object> nextHowDetailsName;//下节课预习
   private String details;
   private String vipId;
public int getIsexist() {
	return isexist;
}
public void setIsexist(int isexist) {
	this.isexist = isexist;
}
public String getCourseKonwId() {
	return courseKonwId;
}
public void setCourseKonwId(String courseKonwId) {
	this.courseKonwId = courseKonwId;
}
public Map<String, List<Map<String, Object>>> getPreviousLesson() {
	return previousLesson;
}
public void setPreviousLesson(
		Map<String, List<Map<String, Object>>> previousLesson) {
	this.previousLesson = previousLesson;
}
public List<Object> getWrongDetailName() {
	return wrongDetailName;
}
public void setWrongDetailName(List<Object> wrongDetailName) {
	this.wrongDetailName = wrongDetailName;
}
public List<Map<String, Object>> getQuestionWrong() {
	return questionWrong;
}
public void setQuestionWrong(List<Map<String, Object>> questionWrong) {
	this.questionWrong = questionWrong;
}
public KmtCourse getCourse() {
	return course;
}
public void setCourse(KmtCourse course) {
	this.course = course;
}
public List<Object> getNextHowDetailsName() {
	return nextHowDetailsName;
}
public void setNextHowDetailsName(List<Object> nextHowDetailsName) {
	this.nextHowDetailsName = nextHowDetailsName;
}
public String getDetails() {
	return details;
}
public void setDetails(String details) {
	this.details = details;
}
public String getVipId() {
	return vipId;
}
public void setVipId(String vipId) {
	this.vipId = vipId;
}
   
   
   
}
